AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Francophone Mobile Money

Collect mobile money payments from customers in Francophone countries. This method supports payment from Cameroon, Cote d'Ivoire, Mali and Senegal.
We recommend you read the method overview before you proceed.

Last updated 13 September 2026

Collect mobile money payments from customers in Francophone countries. This method supports payment from Cameroon, Cote d'Ivoire, Mali and Senegal. We recommend you read the method overview before you proceed.

post

https://api.flutterwave.com/v3/charges?type=mobile_money_franco

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

amount int 32 required
This is the amount to be charged it is passed as - ('amount':'100'). N.B. Amount should not be less than 100."

currency string required
This is the specified currency to charge in. (expected value: XAF or XOF) Allowed values: XAF, XOF.

phone_number string required
This is the phone number linked to the customer's mobile money account

email string required
This is the email address of the customer

tx_ref string required
This is a unique reference, unique to the particular transaction being carried out.

country string
This is the country code of the francophone country making the mobile money payment. Possible values are CM (Cameroon), SN (Senegal), BF (Burkina Faso) and so on.

network string
This is the customer's mobile money network provider.

fullname string
This is the customers full name. It should include first and last name of the customer

authorization_code string
This is the authorization code provided by the customer . It is mandatory for mobile money collection/charge in Burkina-Faso using the ORANGEMONEY network

client_ip string
IP - Internet Protocol. This represents the current IP address of the customer carrying out the transaction

device_fingerprint string
This is the fingerprint for the device being used. It can be generated using a library on whatever platform is being used

meta object
This is used to include additional payment information

FILL IN ALL REQUIRED FIELDS

flightID string
This could be the extra information you want to pass

sideNote string
This could be any message you'd like to associate with this call

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

tx_ref string

flw_ref string

order_id string

device_fingerprint string

amount integer

charged_amount integer

app_fee integer

merchant_fee integer

auth_model string

currency string

ip string

narration string

status string

payment_type string

fraud_status string

charge_type string

created_at string

account_id integer

customer object

FILL IN ALL REQUIRED FIELDS

id integer

phone_number string

name string

email string

created_at string

processor_response string

meta object

FILL IN ALL REQUIRED FIELDS

authorization object

FILL IN ALL REQUIRED FIELDS

mode string

redirect_url string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys